Rensei docs
API ReferenceWorkflows

Rotate the inbound signing secret, immediately invalidating the old secret.

Rotate the inbound signing secret, immediately invalidating the old secret. - Rensei REST API operation reference.

PATCH
/api/workflows/{id}/inbound-webhook

Authorization

headerAuthorizationBearer <WorkOS user access token>

WorkOS user access token created by the Rensei CLI. The authenticated organization is resolved from membership and may be narrowed with X-Rensei-Org.

Path Parameters

id*string
Length1 <= length <= 256

Response Body

Rotated; new secret returned once.

application/json
  1. response
id*string
workflowId*string
triggerId*string
mapping*
path*string
secret*string
Example Request
curl -X PATCH 'https://app.rensei.ai/api/workflows/string/inbound-webhook'
Example Response
{  "id": "string",  "workflowId": "string",  "triggerId": "string",  "mapping": {    "property1": "string",    "property2": "string"  },  "path": "string",  "secret": "string"}